Package org.pentaho.reporting.libraries.formula.function.math

# Class AsinFunction

java.lang.Object
org.pentaho.reporting.libraries.formula.function.math.AsinFunction

All Implemented Interfaces:
  `Serializable`, `Function`

public class AsinFunction extends Object implements Function
This function returns the acos of the value.

Author:
  ocke
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AsinFunction()`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate(FormulaContext context, ParameterCallback parameters)`
`String`
`getCanonicalName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsinFunction

public AsinFunction()

## Method Details

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `Function`

### evaluate

public TypeValuePair evaluate(FormulaContext context, ParameterCallback parameters) throws EvaluationException

Specified by:
  `evaluate` in interface `Function`
Throws:
  `EvaluationException`